#!/bin/sh

# $1 - path to sqlite executable
# $2 - path to dlrecorder db

DUMP_FILE="dump_all.sql"
BACKUP_DIR="backup"

TIMESTAMP=`date +%s`

cd "$2"
mkdir $BACKUP_DIR

#delete old files (if any)
rm -f $DUMP_FILE

#export
"$1/sqlite3" dlrecorder.db << EOF
.mode insert
.output dump_all.sql
.dump
.exit
EOF

#move dlrecorder.db dlrecorder_old.db
mv ./dlrecorder.db $BACKUP_DIR/dlrecorder_${TIMESTAMP}.db

#import data
"$1/sqlite3" dlrecorder.db << EOF1
.read dump_all.sql
.exit
EOF1

rm -f $DUMP_FILE

